Name:		xMule
Version:	1.8.4
Release:	1
Copyright:	GPL
Summary:	xMule - eDonkey Network Peer to Peer file share
Group:		Internet
URL:            http://xmule.hopto.org/
Source0:	xmule-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}.patch
BuildRoot:	%{_tmppath}/%{name}-%{%version}-buildroot
Requires:	wxAll gtk+ >= 1.2
BuildRequires:	wxAll-devel gtk+-devel >= 1.2

%description
cvs -d:pserver:anonymous@cvs.sf.net:/cvsroot/xmule co xmule

xMule - eMule, lMule like Peer to Peer file share. xMule is an 
easy to use P2P file sharing client using the popular eDonkey 
network. It currently supports most UNIX-based operating systems.

%prep
%setup -q -n xmule-%{version}
%patch0 -p0

%build
autoconf
%configure --disable-nls --without-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp -f src/{ed2k,xmule} $RPM_BUILD_ROOT/usr/bin
cp -f xmule.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr (-,root,root)
/*
